Package org.jfree.layouting.modules.output.html

## Class HtmlPrinter

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateStructuralProcessStep
  - - org.jfree.layouting.modules.output.html.HtmlPrinter

-     public class HtmlPrinter
      extends IterateStructuralProcessStep

  Creation-Date: 25.11.2006, 18:17:57
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static float` | `CORRECTION_FACTOR_POINT_TO_PX` |
    `static float` | `CORRECTION_FACTOR_PX_TO_POINT` |
    `static java.lang.String` | `TAG_DEF_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HtmlPrinter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishBlockBox​(BlockRenderBox box)` |
    `protected void` | `finishInlineBox​(InlineRenderBox box)` |
    `protected void` | `finishOtherBlockBox​(BlockRenderBox tableRenderBox)` |
    `protected void` | `finishPageBox​(RenderBox box)` |
    `protected void` | `finishParagraph​(ParagraphRenderBox tableRenderBox)` |
    `protected void` | `finishTable​(TableRenderBox tableRenderBox)` |
    `protected void` | `finishTableBody​(TableSectionRenderBox tableRenderBox)` |
    `protected void` | `finishTableCell​(TableCellRenderBox tableRenderBox)` |
    `protected void` | `finishTableFooter​(TableSectionRenderBox tableRenderBox)` |
    `protected void` | `finishTableHeader​(TableSectionRenderBox tableRenderBox)` |
    `protected void` | `finishTableRow​(TableRowRenderBox tableRenderBox)` |
    `void` | `generate​(LogicalPageBox box, DocumentContext documentContext)` |
    `org.pentaho.reporting.libraries.repository.ContentLocation` | `getContentLocation​()` |
    `org.pentaho.reporting.libraries.repository.NameGenerator` | `getContentNameGenerator​()` |
    `org.pentaho.reporting.libraries.repository.ContentLocation` | `getDataLocation​()` |
    `org.pentaho.reporting.libraries.repository.NameGenerator` | `getDataNameGenerator​()` |
    `java.lang.String` | `getEncoding​()` |
    `URLRewriter` | `getUrlRewriter​()` |
    `boolean` | `isGenerateFragment​()` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `void` | `setContentWriter​(org.pentaho.reporting.libraries.repository.ContentLocation contentLocation, org.pentaho.reporting.libraries.repository.NameGenerator contentNameGenerator)` |
    `void` | `setDataWriter​(org.pentaho.reporting.libraries.repository.ContentLocation dataLocation, org.pentaho.reporting.libraries.repository.NameGenerator dataNameGenerator)` |
    `void` | `setEncoding​(java.lang.String encoding)` |
    `void` | `setGenerateFragment​(boolean generateFragment)` |
    `void` | `setUrlRewriter​(URLRewriter urlRewriter)` |
    `protected boolean` | `startBlockBox​(BlockRenderBox box)` |
    `protected boolean` | `startInlineBox​(InlineRenderBox box)` |
    `protected boolean` | `startMarkerContents​(RenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startOtherBlockBox​(BlockRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startOtherBox​(RenderBox box)` |
    `protected void` | `startOtherNode​(RenderNode node)` |
    `protected boolean` | `startPageBox​(RenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startParagraph​(ParagraphRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTable​(TableRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTableBody​(TableSectionRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTableCell​(TableCellRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTableFooter​(TableSectionRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTableHeader​(TableSectionRenderBox box, StyleBuilder builder)` |
    `protected boolean` | `startTableRow​(TableRowRenderBox box, StyleBuilder builder)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

      `finishNormalFlow, finishOtherBox, finishOtherNode, processBoxChilds, startNormalFlow, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_DEF_PREFIX

          public static final java.lang.String TAG_DEF_PREFIX

      See Also:
        Constant Field Values

    - #### CORRECTION_FACTOR_PX_TO_POINT

          public static final float CORRECTION_FACTOR_PX_TO_POINT

      See Also:
        Constant Field Values

    - #### CORRECTION_FACTOR_POINT_TO_PX

          public static final float CORRECTION_FACTOR_POINT_TO_PX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPrinter

          public HtmlPrinter​()

  - ### Method Detail

    - #### getUrlRewriter

          public URLRewriter getUrlRewriter​()

    - #### setUrlRewriter

          public void setUrlRewriter​(URLRewriter urlRewriter)

    - #### getDataNameGenerator

          public org.pentaho.reporting.libraries.repository.NameGenerator getDataNameGenerator​()

    - #### getDataLocation

          public org.pentaho.reporting.libraries.repository.ContentLocation getDataLocation​()

    - #### getContentNameGenerator

          public org.pentaho.reporting.libraries.repository.NameGenerator getContentNameGenerator​()

    - #### getContentLocation

          public org.pentaho.reporting.libraries.repository.ContentLocation getContentLocation​()

    - #### getEncoding

          public java.lang.String getEncoding​()

    - #### setEncoding

          public void setEncoding​(java.lang.String encoding)

    - #### generate

          public void generate​(LogicalPageBox box,
                               DocumentContext documentContext)
                        throws java.io.IOException,
                               org.pentaho.reporting.libraries.repository.ContentIOException

      Throws:
        `java.io.IOException`
        `org.pentaho.reporting.libraries.repository.ContentIOException`

    - #### isGenerateFragment

          public boolean isGenerateFragment​()

    - #### setGenerateFragment

          public void setGenerateFragment​(boolean generateFragment)

    - #### startInlineBox

          protected boolean startInlineBox​(InlineRenderBox box)

      Overrides:
        `startInlineBox` in class `IterateStructuralProcessStep`

    - #### finishInlineBox

          protected void finishInlineBox​(InlineRenderBox box)

      Overrides:
        `finishInlineBox` in class `IterateStructuralProcessStep`

    - #### startBlockBox

          protected boolean startBlockBox​(BlockRenderBox box)

      Overrides:
        `startBlockBox` in class `IterateStructuralProcessStep`

    - #### finishBlockBox

          protected void finishBlockBox​(BlockRenderBox box)

      Overrides:
        `finishBlockBox` in class `IterateStructuralProcessStep`

    - #### startMarkerContents

          protected boolean startMarkerContents​(RenderBox box,
                                                StyleBuilder builder)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startPageBox

          protected boolean startPageBox​(RenderBox box,
                                         StyleBuilder builder)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishPageBox

          protected void finishPageBox​(RenderBox box)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startOtherBlockBox

          protected boolean startOtherBlockBox​(BlockRenderBox box,
                                               StyleBuilder builder)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishOtherBlockBox

          protected void finishOtherBlockBox​(BlockRenderBox tableRenderBox)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startParagraph

          protected boolean startParagraph​(ParagraphRenderBox box,
                                           StyleBuilder builder)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishParagraph

          protected void finishParagraph​(ParagraphRenderBox tableRenderBox)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTableCell

          protected boolean startTableCell​(TableCellRenderBox box,
                                           StyleBuilder builder)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTableCell

          protected void finishTableCell​(TableCellRenderBox tableRenderBox)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTableRow

          protected boolean startTableRow​(TableRowRenderBox box,
                                          StyleBuilder builder)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTableRow

          protected void finishTableRow​(TableRowRenderBox tableRenderBox)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTableHeader

          protected boolean startTableHeader​(TableSectionRenderBox box,
                                             StyleBuilder builder)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTableHeader

          protected void finishTableHeader​(TableSectionRenderBox tableRenderBox)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTableBody

          protected boolean startTableBody​(TableSectionRenderBox box,
                                           StyleBuilder builder)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTableBody

          protected void finishTableBody​(TableSectionRenderBox tableRenderBox)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTableFooter

          protected boolean startTableFooter​(TableSectionRenderBox box,
                                             StyleBuilder builder)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTableFooter

          protected void finishTableFooter​(TableSectionRenderBox tableRenderBox)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startTable

          protected boolean startTable​(TableRenderBox box,
                                       StyleBuilder builder)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishTable

          protected void finishTable​(TableRenderBox tableRenderBox)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startOtherNode

          protected void startOtherNode​(RenderNode node)

      Overrides:
        `startOtherNode` in class `IterateStructuralProcessStep`

    - #### startOtherBox

          protected boolean startOtherBox​(RenderBox box)

      Overrides:
        `startOtherBox` in class `IterateStructuralProcessStep`

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Overrides:
        `processParagraphChilds` in class `IterateStructuralProcessStep`

    - #### setDataWriter

          public void setDataWriter​(org.pentaho.reporting.libraries.repository.ContentLocation dataLocation,
                                    org.pentaho.reporting.libraries.repository.NameGenerator dataNameGenerator)

    - #### setContentWriter

          public void setContentWriter​(org.pentaho.reporting.libraries.repository.ContentLocation contentLocation,
                                       org.pentaho.reporting.libraries.repository.NameGenerator contentNameGenerator)